#!/bin/bash

#   FILE: backup_wrapper.sh -- 
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 04 September 2000
#
# Copyright (c) 1999 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

. /etc/burn_baby_burn/bbb_functions

ERR_DEST=$1
USAGE="Usage: ${0##*/} log|stderr"

if [ $# -ne 1 ]; then
	usage "$USAGE"
elif [ $ERR_DEST != log -a $ERR_DEST != stderr ]; then
	usage "$USAGE"
elif ! configured; then
	print_message $ERR_DEST "No config found in /etc or ~"
	exit 1
fi

if ! disc_mounts; then
	print_message $ERR_DEST "WARNING: bad filesystem -- before burn"
	exit 2
fi

mount $CD_DEV 2> /dev/null

if ! ls $CD_MNT/backup.* > /dev/null; then
	umount $CD_DEV 2> /dev/null
	print_message $ERR_DEST "WARNING: incorrect disc"
	exit 4
fi

SET=`ls $CD_MNT/backup.* | awk -F . '{ print $2 }'`
backup.sh existing_media $ERR_DEST $SET
